DropTargetEvent (Java Platform SE 8 )
Keywords: java.awt.dnd.DropTargetEvent class
Date: 2020-03-26

java.awt.dnd

## Class DropTargetEvent

- java.lang.Object
- - java.util.EventObject
  - - java.awt.dnd.DropTargetEvent

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    DropTargetDragEvent, DropTargetDropEvent

      public class DropTargetEvent
      extends EventObject

  The `DropTargetEvent` is the base class for both the `DropTargetDragEvent` and the `DropTargetDropEvent`. It encapsulates the current state of the Drag and Drop operations, in particular the current `DropTargetContext`.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DropTargetContext` | `context` The `DropTargetContext` associated with this `DropTargetEvent`.

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DropTargetEvent(DropTargetContext dtc)` Construct a `DropTargetEvent` object with the specified `DropTargetContext`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DropTargetContext` | `getDropTargetContext()` This method returns the `DropTargetContext` associated with this `DropTargetEvent`.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### context

          protected DropTargetContext context

      The `DropTargetContext` associated with this `DropTargetEvent`.

  - ### Constructor Detail

    - #### DropTargetEvent

          public DropTargetEvent(DropTargetContext dtc)

      Construct a `DropTargetEvent` object with the specified `DropTargetContext`.

      Parameters:
        `dtc` - The `DropTargetContext`
      Throws:
        `NullPointerException` - if `dtc` equals `null`.
      See Also:
        `EventObject.getSource()`, `getDropTargetContext()`

  - ### Method Detail

    - #### getDropTargetContext

          public DropTargetContext getDropTargetContext()

      This method returns the `DropTargetContext` associated with this `DropTargetEvent`.

      Returns:
        the `DropTargetContext`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.